#include<iostream>
using namespace std;
int main()
{
    int a,b,x,y;
    cin>>a>>b>>x>>y;
    if(a==x&&b!=y)
        cout<<"durgi";
    else if(a!=x&&b==y)
        cout<<"prvi";
    else if(a==x&&b==y)
        cout<<"nijedan";
    else 
        cout<<"?";
    return 0;
}